Devuan bug report logs - #275
Policykit-1: can't poweroff or restart from xfce user menu

Package: policykit-1; Maintainer for policykit-1 is Devuan Dev Team <devuan-dev@lists.dyne.org>;

Reported by: =?utf-8?Q?Jos=C3=A9_Marinho?= <jose.marinho@mailfence.com>

Date: Wed, 26 Dec 2018 20:33:01 UTC

Severity: normal

Done: Mark Hindley <mark@hindley.org.uk>

Full log


🔗 View this message in rfc822 format

X-Loop: owner@bugs.devuan.org
From: owner@bugs.devuan.org (Devuan bug Tracking System)
To: Mark Hindley <mark@hindley.org.uk>
Cc: owner@bugs.devuan.org
Subject: bug#275: marked as done (Policykit-1: can't poweroff or restart from xfce user menu)
Message-ID: <handler.275.D275.154945740430436.ackdone@bugs.devuan.org>
In-Reply-To: <20190206124824.GK17160@hindley.org.uk>
References: <20190206124824.GK17160@hindley.org.uk> <1516675218.10226.1545855100093@ichabod.co-bxl>
Precedence: bulk
X-Devuan-PR-Message: closed 275
X-Devuan-PR-Package: policykit-1
X-Devuan-PR-Keywords: 
Your message dated Wed, 6 Feb 2019 12:48:24 +0000
with message-id <20190206124824.GK17160@hindley.org.uk>
and subject line Fixed with policykit-1_0.105-25+devuan1
has caused the attached bug report to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what I am
talking about this indicates a serious mail system misconfiguration
somewhere.  Please contact me immediately.)

Devuan Bugs Owner
(administrator, Devuan bugs database)

--------------------------------------
Received: (at submit) by bugs.devuan.org; 26 Dec 2018 20:20:02 +0000
Return-Path: <jose.marinho@mailfence.com>
Delivered-To: devuanbugs@dyne.org
Received: from tupac3.dyne.org [195.169.149.119]
	by fulcanelli with IMAP (fetchmail-6.3.26)
	for <debbugs@localhost> (single-drop); Wed, 26 Dec 2018 21:20:02 +0100 (CET)
Received: from wilbur.contactoffice.com (wilbur.contactoffice.com [212.3.242.68])
	(using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
	(No client certificate requested)
	by vm6.ganeti.dyne.org (Postfix) with ESMTPS id 8EDC0F60852
	for <submit@bugs.devuan.org>; Wed, 26 Dec 2018 21:11:59 +0100 (CET)
Authentication-Results: vm6.ganeti.dyne.org;
	dkim=pass (2048-bit key; unprotected) header.d=mailfence.com header.i=@mailfence.com header.b="TSQygexE";
	dkim-atps=neutral
Received: from ichabod.co-bxl (ichabod.co-bxl [10.2.0.36])
	by wilbur.contactoffice.com (Postfix) with ESMTP id 6FDA5370
	for <submit@bugs.devuan.org>; Wed, 26 Dec 2018 21:11:43 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=mailfence.com;
	s=20160819-nLV10XS2; t=1545855103;
	bh=hW/+q0/GAkw4awDokwD3J/OB7NL3TafkBnanLaSnt5g=;
	h=Date:To:Subject:Reply-To:From:From;
	b=TSQygexETZFRgZ1SCqPe/2l/vCTTgqY6LCO1R4exxAW5md06LK59w7BFWFcxx/wrz
	 YM/KF6GYobGg/FrWIB5bKqcIb6qGYsWYlLPQz9kmxJgyYl7CCEmKkXUobEM0DZhuWE
	 OrBXV9vd5qQ270s15mFKOb/WvDgEC/PNOCESfqHSJxILfcpEP2Xa3aB9evjvueJM+F
	 pNE6sXjb27gh0/YL83k/VVanAJWWYnliQ3wrbNEVoFSHYzSGyfyl6Y7wUpHpXLra7d
	 ufBin8JJyTq3nJ2d5CtwxeUnJR/T9RcNRK1Pc8C5QnAdFFaHGR18Vrz9/Appqfo78c
	 04Q3+qLtzp5/A==
Date: Wed, 26 Dec 2018 21:11:40 +0100 (CET)
Message-ID: <1516675218.10226.1545855100093@ichabod.co-bxl>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
To: submit@bugs.devuan.org
Subject: Policykit-1: can't poweroff or restart from xfce user menu
X-Priority: 3
Reply-To: =?utf-8?Q?Jos=C3=A9_Marinho?= <jose.marinho@mailfence.com>
From: =?utf-8?Q?Jos=C3=A9_Marinho?= <jose.marinho@mailfence.com>
X-Mailer: ContactOffice Mail
X-ContactOffice-Account: com:183788125
X-Spam-Status: No, score=-0.9 required=5.0 tests=DKIM_SIGNED,DKIM_VALID,
	DKIM_VALID_AU,DKIM_VALID_EF,RCVD_IN_DNSWL_LOW,SPF_PASS
	autolearn=disabled version=3.4.2
X-Spam-Checker-Version: SpamAssassin 3.4.2 (2018-09-13) on tupac3.dyne.org

Package: policykit-1
Version: 0.105-23
Severity: important

I think that it is a similar issue as this: https://bugs.debian.org/cgi-bin=
/bugreport.cgi?bug=3D765383

I can't poweroff restart and do other actions like mount external volumes.

The system session manager is slim.


lsb_release -a
No LSB modules are available.
Distributor ID:=09Devuan
Description:=09Devuan GNU/Linux beowulf/ceres
Release:=0910
Codename:=09n/a

uname -r
4.18.0-3-amd64


--=C2=A0
Sent with https://mailfence.com
Secure and private email
---------------------------------------
Received: (at 275-done) by bugs.devuan.org; 6 Feb 2019 12:50:04 +0000
Return-Path: <mark@hindley.org.uk>
Delivered-To: devuanbugs@dyne.org
Received: from tupac3.dyne.org [195.169.149.119]
	by fulcanelli with IMAP (fetchmail-6.3.26)
	for <debbugs@localhost> (single-drop); Wed, 06 Feb 2019 13:50:04 +0100 (CET)
Received: from mx.hindley.org.uk (mohindley.plus.com [81.174.245.179])
	(using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
	(No client certificate requested)
	by vm6.ganeti.dyne.org (Postfix) with ESMTPS id 1FE3CF60999
	for <275-done@bugs.devuan.org>; Wed,  6 Feb 2019 13:48:32 +0100 (CET)
Received: from apollo.hindleynet ([192.168.1.3] helo=apollo)
	by mx.hindley.org.uk with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
	(Exim 4.84_2)
	(envelope-from <mark@hindley.org.uk>)
	id 1grMct-00028O-ML
	for 275-done@bugs.devuan.org; Wed, 06 Feb 2019 12:48:28 +0000
Received: from mark by apollo with local (Exim 4.84_2)
	(envelope-from <mark@hindley.org.uk>)
	id 1grMcq-0005MC-PK
	for 275-done@bugs.devuan.org; Wed, 06 Feb 2019 12:48:24 +0000
Date: Wed, 6 Feb 2019 12:48:24 +0000
From: Mark Hindley <mark@hindley.org.uk>
To: 275-done@bugs.devuan.org
Subject: Fixed with policykit-1_0.105-25+devuan1
Message-ID: <20190206124824.GK17160@hindley.org.uk>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
User-Agent: Mutt/1.5.23 (2014-03-12)
X-Spam-Status: No, score=-0.0 required=5.0 tests=SPF_PASS autolearn=disabled
	version=3.4.2
X-Spam-Checker-Version: SpamAssassin 3.4.2 (2018-09-13) on tupac3.dyne.org

Fixed with policykit-1 version 0.105-25+devuan1 built for ceres and beowulf
which adds -elogind and -consolekit flavour libpolkit backends.

Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Mon Apr 6 06:26:40 2020;